ElectroNeek Documentation

Esta página ainda não foi traduzida para o português, por isso é exibida em inglês.

Get info of a Bot Runner

This returns detailed information on a specific Bot Runner including all the workflows where the Bot Runner is assigned.


gethttps://api.{region}.electroneek.com/v1/orchestrator/bot-runner/{id}

{region} pode ser: na, cis, apac, latam, emea

Experimente

Enviado do seu navegador diretamente para a API — nada passa por este site, e o token API fica apenas nesta aba.
Parâmetros de caminho
Preencha id para enviar esta requisição.
cURL
curl --request GET \
  --url 'https://api.na.electroneek.com/v1/orchestrator/bot-runner/{id}'

Autenticação

Use um token API da página Orquestrador → Integrações. Envie-o como token bearer: Authorization: Bearer <token>.

Parâmetros de caminho

NomeTipoObrigatórioDescrição
idstringsimBot Runner ID

Resposta

200Success
Corpo da resposta
object
iduuidobrigatório

ID of the Bot Runner

namestringobrigatório

Name of the Bot Runner

statusstring (ready, in_progress, offline)obrigatório

Status of the Bot Runner

versionstringobrigatório

Version of the Bot Runner

login_asobjectobrigatório

Organization's data to which the API key belongs. Starting from the version 7.0, we replaced the login-password connection of Orchestrator to Bot Runner with tokens

object
typestring
valuestring
host_namestringobrigatório

Name of the computer where Bot Runner is installed.

status_sincedate-time
assigned_workflowsarray of objects
object
iduuidobrigatório
namestringobrigatório
descriptionstringobrigatório
Atualizado